{
    attributes = (
        {
            columnName = "tyet_id"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "tyet_libelle"; 
            externalType = VARCHAR2; 
            name = tyetLibelle; 
            valueClassName = NSString; 
            valueType = s; 
            width = 50; 
        }
    ); 
    attributesUsedForLocking = (tyetId, tyetLibelle); 
    className = "org.cocktail.fwkcktldroitsutils.common.metier.EOTypeEtat"; 
    classProperties = (tyetLibelle); 
    externalName = "JEFY_ADMIN.type_etat"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (tyetLibelle); 
        "_javaClientClassName" = "org.cocktail.fwkcktldroitsutils.common.metier.EOTypeEtat"; 
        "_nameInObjectStore" = "TYpe_etat"; 
    }; 
    isReadOnly = Y; 
    name = "FwkDroitsUtils_TypeEtat"; 
    primaryKeyAttributes = (tyetId); 
}
